Subject: Changes to the mail-directory variable in 3.91

From: Barry Cornelius <[email-masked]>
Date: Thu, 20 Oct 1994 20:32:43 +0100 (BST)

On 14th October, Richard Jackson wrote:
> Has anyone seen the following when a new user sends email?
> Folder "sent-mail" in <Mail/[]> doesn't exist. Create? Y <= ENTER Y
> [Can't create mailbox Mail/sent-mail: No such file or directory]
> This occurs on a DEC Alpha system running OSF/1 3.0.  mail-directory
> is set to Mail.  If I manually create ~/Mail, then the error condition
> does not exist.  For an unknown reason, pine does not create ~/Mail.

On 14th October, Ken Weaverling replied:
> Yes, go into pine/os.h and look for and change the line...
> #define DF_MAIL_DIRECTORY         "mail"
> to
> #define DF_MAIL_DIRECTORY         "Mail"
> It seems like defining the mail directory in the global pine.conf is not
> enough.

But, surely it was enough in 3.90.  Hasn't this changed in 3.91?

For a long time (since 3.84?), we have had a pine.conf file that includes:
   folder-collections=Mail/[]
   mail-directory=Mail
In the .pine-debug1 file, I now see:
   ========== Current_val options set ==========
   ...
          mail-directory : mail
   ======= Global_val options set (/usr/local/lib/pine.conf) =======
   ...   
          mail-directory : mail
whereas in 3.90 it used to be:
   ========== Current_val options set ==========
   ...
          mail-directory : Mail
   ========== Global_val (pine.conf) options set ==========
   ...
          mail-directory : Mail

But looking at the code of Pine I'm a little puzzled: I can't find what is
causing this change. 

This issue hit us last Monday morning just a few hours after we released
Pine 3.91.  At the same time as the problem was reported to me, Richard's
message arrived (which was comforting!).  We have a shell script to start
Pine and so (for a quick fix) I modified the script to create ~/Mail if it
does not already exist. 

I'm now wondering what the more permanent fix should be.  The version of
Pine that we use is also mounted by other departments.  If (as in 3.90) it
is possible to configure the user's default mail-folders directory in the
pine.conf file, each department can make its own decision on this topic. 
If I am forced in 3.91 to change DF_MAIL_DIRECTORY, it will also determine
the setting for other departments.  For the record, I don't know whether
in practice this is really a problem. 

Help please.  Can someone from the Pine Team indicate what I should be doing.
In what situations will Pine automatically create a mail or Mail directory?
In what situations will Pine assume it has already been created?
Is it true that any setting of mail-directory in the pine.conf file is 
now ignored? 
Is it still true that a user setting mail-directory in the .pinerc file 
has some effect? 

Thanks.
--
Barry Cornelius                      Telephone: (0191 or +44 191) 374 4717
IT Service, Science Site,    IT Service Office: (0191 or +44 191) 374 2892   
University of Durham,                      Fax: (0191 or +44 191) 374 3741
Durham, DH1 3LE, UK                   E-mail: [email-masked]